/* Report bugs to sumitn@engr.uconn.edu */
#include <stdio.h>
#include <stdlib.h>

struct disk_access_record
{
    struct timeval timestamp;
    unsigned long sector;
    int action;
    dev_t device;
    int dev_number;
    unsigned long nr_sectors;
};

typedef struct diskTrace
{
    long            block;      /* Blocks requested     */
    unsigned long   nr_sectors; /* Number of sectors    */
    struct timespec op_time;    /* Time of operation    */
    unsigned int    op;         /* Read/Write           */
} diskTrace;


int main(void)
{
    //struct disk_access_record dar;
    struct diskTrace dar;
    char buffer[50];
    FILE *fp;

    fp = fopen("trace1.txt", "r");
    if(fp == NULL)
    {
        printf("Unable to open the file.\n");
        exit(1);
    }
    
    while(!feof(fp))
    {
        fread(buffer, sizeof(buffer), 1, fp);
        printf("%s\n", buffer);
    }
    fclose(fp);
    return 0;
}

